Endpoints
Search full text
Perform a full text search across documents.
This endpoint allows searching through documents with various filtering options. The search results are cleaned to include only whitelisted attributes.
GET
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The search query string
Minimum string length:
1Number of results to return
Required range:
1 <= x <= 100Filter results by data source.
**Possible values:**
* `confluence` - Atlassian Confluence
* `jira` - Atlassian Jira
* `gitlab` - GitLab
* `sharepoint_online` - Microsoft SharePoint Online
* `outlook` - Microsoft Outlook
* `windowsshares` - Windows File Shares
* `other` - Other supported data sourcesExample:
"confluence,jira"
Filter results by file type.
**Possible values:**
* `pdf` - PDF documents
* `word` - Microsoft Word documents
* `powerpoint` - Microsoft PowerPoint presentations
* `excel` - Microsoft Excel spreadsheets
* `email` - Email messages
* `directory` - Directory/folder structures
* `html` - HTML files
* `txt` - Text files
* `compressed` - Compressed archive files
* `image` - Image files
* `message` - Message files
* `task` - Task files
* `issue` - Issue tracking files
* `wiki` - Wiki pages
* `news` - News articles
* `page` - Web pages
* `onenote` - OneNote files
* `comment` - Comment files
* `other` - Other file typesExample:
"pdf,word"
Filter results by last modified date.
**Possible values:**
* `threeday` - Last three days
* `week` - Last week
* `month` - Last month
* `threemonth` - Last three months
* `year` - Last year
* `fiveyear` - Last five years
* Custom time range format: `YYYY-MM-DDThh:mm:ss.sssZ_YYYY-MM-DDThh:mm:ss.sssZ`
**Example:** `2024-02-01T00:00:00.000Z_2024-02-25T23:59:59.999ZStarting page for pagination
Required range:
x >= 0Response
Successful Response

